code stringlengths 1 1.96M | language stringclasses 1
value |
|---|---|
#!/bin/sh
# PRE-LOCK HOOK
#
# The pre-lock hook is invoked before an exclusive lock is
# created. Subversion runs this hook by invoking a program
# (script, executable, binary, etc.) named 'pre-lock' (for which
# this file is a template), with the following ordered arguments:
#
# [1] REPOS-PATH (the pat... | Shell |
#!/bin/sh
# POST-REVPROP-CHANGE HOOK
#
# The post-revprop-change hook is invoked after a revision property
# has been added, modified or deleted. Subversion runs this hook by
# invoking a program (script, executable, binary, etc.) named
# 'post-revprop-change' (for which this file is a template), with the
# f... | Shell |
#!/bin/sh
# POST-LOCK HOOK
#
# The post-lock hook is run after a path is locked. Subversion runs
# this hook by invoking a program (script, executable, binary, etc.)
# named 'post-lock' (for which this file is a template) with the
# following ordered arguments:
#
# [1] REPOS-PATH (the path to this repos... | Shell |
#!/bin/sh
# PRE-UNLOCK HOOK
#
# The pre-unlock hook is invoked before an exclusive lock is
# destroyed. Subversion runs this hook by invoking a program
# (script, executable, binary, etc.) named 'pre-unlock' (for which
# this file is a template), with the following ordered arguments:
#
# [1] REPOS-PATH ... | Shell |
#!/bin/sh
# START-COMMIT HOOK
#
# The start-commit hook is invoked before a Subversion txn is created
# in the process of doing a commit. Subversion runs this hook
# by invoking a program (script, executable, binary, etc.) named
# 'start-commit' (for which this file is a template)
# with the following ordered... | Shell |
#!/bin/sh
# POST-COMMIT HOOK
#
# The post-commit hook is invoked after a commit. Subversion runs
# this hook by invoking a program (script, executable, binary, etc.)
# named 'post-commit' (for which this file is a template) with the
# following ordered arguments:
#
# [1] REPOS-PATH (the path to this rep... | Shell |
#!/bin/sh
# POST-UNLOCK HOOK
#
# The post-unlock hook runs after a path is unlocked. Subversion runs
# this hook by invoking a program (script, executable, binary, etc.)
# named 'post-unlock' (for which this file is a template) with the
# following ordered arguments:
#
# [1] REPOS-PATH (the path to this... | Shell |
#!/bin/sh
# POST-UNLOCK HOOK
#
# The post-unlock hook runs after a path is unlocked. Subversion runs
# this hook by invoking a program (script, executable, binary, etc.)
# named 'post-unlock' (for which this file is a template) with the
# following ordered arguments:
#
# [1] REPOS-PATH (the path to this... | Shell |
#!/bin/sh
# PRE-REVPROP-CHANGE HOOK
#
# The pre-revprop-change hook is invoked before a revision property
# is added, modified or deleted. Subversion runs this hook by invoking
# a program (script, executable, binary, etc.) named 'pre-revprop-change'
# (for which this file is a template), with the following or... | Shell |
#!/bin/sh
# POST-LOCK HOOK
#
# The post-lock hook is run after a path is locked. Subversion runs
# this hook by invoking a program (script, executable, binary, etc.)
# named 'post-lock' (for which this file is a template) with the
# following ordered arguments:
#
# [1] REPOS-PATH (the path to this repos... | Shell |
#!/bin/sh
# POST-REVPROP-CHANGE HOOK
#
# The post-revprop-change hook is invoked after a revision property
# has been added, modified or deleted. Subversion runs this hook by
# invoking a program (script, executable, binary, etc.) named
# 'post-revprop-change' (for which this file is a template), with the
# f... | Shell |
#!/bin/sh
# PRE-UNLOCK HOOK
#
# The pre-unlock hook is invoked before an exclusive lock is
# destroyed. Subversion runs this hook by invoking a program
# (script, executable, binary, etc.) named 'pre-unlock' (for which
# this file is a template), with the following ordered arguments:
#
# [1] REPOS-PATH ... | Shell |
#!/bin/bash
#
# This script is similar to minion but will do a few additional things:
# - PHP process is run in the background
# - PHP process is monitored and restarted if it exits for any reason
# - Added handlers for SUGHUP, SIGINT, and SIGTERM
#
# This is meant for long running minion tasks (like background workers... | Shell |
#!/bin/bash
#
# This script is similar to minion but will do a few additional things:
# - PHP process is run in the background
# - PHP process is monitored and restarted if it exits for any reason
# - Added handlers for SUGHUP, SIGINT, and SIGTERM
#
# This is meant for long running minion tasks (like background workers... | Shell |
#!/bin/bash
this=`basename $0`
this=`echo $0 | sed -e 's/\/'$this'$//'`
cd $this/..
. /home/native/.profile
export HOME=`pwd`
export LD_LIBRARY_PATH=`pwd`/lib:$LD_LIBRARY_PATH
exec bin/FBReader -lang `bin/language_detector` $2
| Shell |
#!/bin/bash
this=`basename $0`
this=`echo $0 | sed -e 's/\/'$this'$//'`
cd $this/..
. /home/native/.profile
export HOME=`pwd`
export LD_LIBRARY_PATH=`pwd`/lib:$LD_LIBRARY_PATH
exec bin/FBReader -lang `bin/language_detector` $2
| Shell |
#!/bin/sh
if [ $# != 2 ]; then
echo -e "usage\n $0 <platform> <install_dir>";
exit 0;
fi;
case "$1" in
desktop|win32|pepperpad3)
toolbar_file=data/default/toolbar.full.xml
;;
zaurus_640x480)
toolbar_file=data/default/toolbar.zaurus.xml
;;
*)
toolbar_file=data/default/toolbar.short.xml
;;
esac;
case... | Shell |
#!/bin/sh
if [ $# != 2 ]; then
echo -e "usage\n $0 <platform> <install_dir>";
exit 0;
fi;
case "$1" in
desktop|maemo|openzaurus_640x480|pdaxrom|pepperpad3|zaurus_640x480)
platform=desktop;
;;
moto)
platform=desktop;
;;
opensimpad-0.9.0|qvfb)
platform=640x480;
;;
openzaurus_240x320|pma400|zaurus_240... | Shell |
#!/bin/sh
if [ $# != 2 ]; then
echo "usage: ";
exit 0;
fi;
if mkdir ../$1; then
for file in Dummy*.h Dummy*.cpp; do
sed "s/Dummy/$2/g" $file | sed "s/DUMMY/$2/g" > ../$1/`echo $file | sed "s/Dummy/$2/"`;
done
fi;
| Shell |
#!/bin/sh
exec FBReader "$@"
| Shell |
#!/bin/sh
if [ $# != 2 ]; then
echo -e "usage\n $0 <platform> <install_dir>";
exit 0;
fi;
case "$1" in
desktop|win32|pepperpad3)
toolbar_file=data/default/toolbar.full.xml
;;
zaurus_640x480)
toolbar_file=data/default/toolbar.zaurus.xml
;;
*)
toolbar_file=data/default/toolbar.short.xml
;;
esac;
case... | Shell |
#!/bin/sh
if [ $# != 2 ]; then
echo -e "usage\n $0 <platform> <install_dir>";
exit 0;
fi;
case "$1" in
desktop|maemo|openzaurus_640x480|pdaxrom|pepperpad3|zaurus_640x480)
platform=desktop;
;;
moto)
platform=desktop;
;;
opensimpad-0.9.0|qvfb)
platform=640x480;
;;
openzaurus_240x320|pma400|zaurus_240... | Shell |
#!/bin/sh
if [ $# != 2 ]; then
echo "usage: ";
exit 0;
fi;
if mkdir ../$1; then
for file in Dummy*.h Dummy*.cpp; do
sed "s/Dummy/$2/g" $file | sed "s/DUMMY/$2/g" > ../$1/`echo $file | sed "s/Dummy/$2/"`;
done
fi;
| Shell |
#!/bin/sh
exec FBReader "$@"
| Shell |
#! /bin/sh
if [ -x /usr/bin/gtk-update-icon-cache ]
then
/usr/bin/gtk-update-icon-cache -f /usr/share/icons/hicolor
fi
if [ -x /usr/bin/update-desktop-database ]
then
/usr/bin/update-desktop-database
fi
if [ -x /usr/bin/update-mime-database ]
then
/usr/bin/update-mime-database /usr/share/mime
fi
| Shell |
#! /bin/sh
set -e
if [ "$1" = "configure" ]; then
ldconfig
fi
| Shell |
#! /bin/sh
set -e
if [ "$1" = "configure" ]; then
ldconfig
fi
| Shell |
#! /bin/sh
if [ -x /usr/bin/gtk-update-icon-cache ]
then
/usr/bin/gtk-update-icon-cache -f /usr/share/icons/hicolor
fi
if [ -x /usr/bin/update-desktop-database ]
then
/usr/bin/update-desktop-database
fi
if [ -x /usr/bin/update-mime-database ]
then
/usr/bin/update-mime-database /usr/share/mime
fi
if [ "$1" = "... | Shell |
#! /bin/sh
if [ -x /usr/bin/gtk-update-icon-cache ]
then
/usr/bin/gtk-update-icon-cache -f /usr/share/icons/hicolor
fi
if [ -x /usr/bin/update-desktop-database ]
then
/usr/bin/update-desktop-database
fi
if [ -x /usr/bin/update-mime-database ]
then
/usr/bin/update-mime-database /usr/share/mime
fi
| Shell |
#! /bin/sh
set -e
if [ "$1" = "configure" ]; then
ldconfig
fi
| Shell |
#! /bin/sh
set -e
if [ "$1" = "configure" ]; then
ldconfig
fi
| Shell |
#! /bin/sh
if [ -x /usr/bin/gtk-update-icon-cache ]
then
/usr/bin/gtk-update-icon-cache -f /usr/share/icons/hicolor
fi
if [ -x /usr/bin/update-desktop-database ]
then
/usr/bin/update-desktop-database
fi
if [ -x /usr/bin/update-mime-database ]
then
/usr/bin/update-mime-database /usr/share/mime
fi
if [ "$1" = "... | Shell |
#! /bin/sh
if [ -x /usr/bin/gtk-update-icon-cache ]
then
/usr/bin/gtk-update-icon-cache -f /usr/share/icons/hicolor
fi
if [ -x /usr/bin/update-desktop-database ]
then
/usr/bin/update-desktop-database
fi
if [ -x /usr/bin/update-mime-database ]
then
/usr/bin/update-mime-database /usr/share/mime
fi
| Shell |
#! /bin/sh
set -e
if [ "$1" = "configure" ]; then
ldconfig
fi
| Shell |
#! /bin/sh
set -e
if [ "$1" = "configure" ]; then
ldconfig
fi
| Shell |
#! /bin/sh
if [ -x /usr/bin/gtk-update-icon-cache ]
then
/usr/bin/gtk-update-icon-cache -f /usr/share/icons/hicolor
fi
if [ -x /usr/bin/update-desktop-database ]
then
/usr/bin/update-desktop-database
fi
if [ -x /usr/bin/update-mime-database ]
then
/usr/bin/update-mime-database /usr/share/mime
fi
if [ "$1" = "... | Shell |
#! /bin/sh
if [ -x /usr/bin/gtk-update-icon-cache ]
then
/usr/bin/gtk-update-icon-cache -f /usr/share/icons/hicolor
fi
if [ -x /usr/bin/update-desktop-database ]
then
/usr/bin/update-desktop-database
fi
if [ -x /usr/bin/update-mime-database ]
then
/usr/bin/update-mime-database /usr/share/mime
fi
| Shell |
#! /bin/sh
set -e
if [ "$1" = "configure" ]; then
ldconfig
fi
| Shell |
#! /bin/sh
set -e
if [ "$1" = "configure" ]; then
ldconfig
fi
| Shell |
#! /bin/sh
if [ -x /usr/bin/gtk-update-icon-cache ]
then
/usr/bin/gtk-update-icon-cache -f /usr/share/icons/hicolor
fi
if [ -x /usr/bin/update-desktop-database ]
then
/usr/bin/update-desktop-database
fi
if [ -x /usr/bin/update-mime-database ]
then
/usr/bin/update-mime-database /usr/share/mime
fi
if [ "$1" = "... | Shell |
#!/bin/sh
if [ -z "$JYTHON_HOME" ]; then
echo "Set JYTHON_HOME to compile."
exit 1
fi
DIR="$( cd "$( dirname "$0" )" && pwd )"
OPTS="-cp $JYTHON_HOME/jython.jar -target 1.5 -source 1.5 $* -Xlint:unchecked"
javac $OPTS $DIR/testlibs/*.java
javac $OPTS $DIR/listeners/*.java
| Shell |
#!/bin/sh
testdir=`dirname $0`
rm -f $testdir/output.*
export PYTHONPATH=$testdir/../../../src
python -m robot.run -l none -r none -d $testdir $testdir/test.txt
python $testdir/../times2csv.py $testdir/output.xml
echo "------------------------------ results ------------------------------"
cat $testdir/output.csv
echo "... | Shell |
#!/bin/bash
testdir=`dirname $0`
pybot --loglevel DEBUG --log none --report none --outputdir $testdir $testdir/example.txt
python $testdir/../statuschecker.py $testdir/output.xml
rebot $testdir/output.xml
echo "$? tests failed, 5 should have failed."
echo "Check that tests starting with 'FAILURE:' have failed and other... | Shell |
#!/bin/bash
dirname=robotframework-c-example
zipname=$dirname-$(date +%Y%m%d).zip
files="README.txt login.c LoginLibrary.py LoginTests.tsv Makefile"
rm -rf $dirname $zipname
mkdir $dirname
echo Copying...
for file in $files; do
cp -v $file $dirname
done
echo Zipping...
zip -r $zipname $dirname
rm -rf $dirname
ech... | Shell |
#!/bin/bash
pybot --outputdir results --exclude parallel atest/ | Shell |
#!/bin/bash
#python src/robot/rebot.py $* &> /dev/null &
python src/robot/run.py $* &> /dev/null &
#/usr/lib/jvm/java-6-sun/jre/bin/java -Xmx1024m -Xss1024k -classpath /home/jth/opt/jython2.5.1/jython.jar: -Dpython.home=/home/jth/opt/jython2.5.1 -Dpython.executable=/home/jth/opt/jython2.5.1/jython org.python.util.jyt... | Shell |
#! /bin/bash
verbose=false
if [ "x$1" = "x-v" ]
then
verbose=true
out=/dev/stdout
err=/dev/stderr
else
out=/dev/null
err=/dev/null
fi
if gmake --version >/dev/null 2>&1; then make=gmake; else make=make; fi
pts=5
timeout=30
preservefs=n
readline_hackval=0
qemu=`$make -s --no-print-directory which-qemu`
echo_n ... | Shell |
#! /bin/bash
verbose=false
if [ "x$1" = "x-v" ]
then
verbose=true
out=/dev/stdout
err=/dev/stderr
else
out=/dev/null
err=/dev/null
fi
if gmake --version >/dev/null 2>&1; then make=gmake; else make=make; fi
pts=5
timeout=30
preservefs=n
readline_hackval=0
qemu=`$make -s --no-print-directory which-qemu`
echo_n ... | Shell |
#! /bin/bash
verbose=false
if [ "x$1" = "x-v" ]
then
verbose=true
out=/dev/stdout
err=/dev/stderr
else
out=/dev/null
err=/dev/null
fi
if gmake --version >/dev/null 2>&1; then make=gmake; else make=make; fi
pts=5
timeout=30
preservefs=n
readline_hackval=0
qemu=`$make -s --no-print-directory which-qemu`
echo_n ... | Shell |
#! /bin/bash
verbose=false
if [ "x$1" = "x-v" ]
then
verbose=true
out=/dev/stdout
err=/dev/stderr
else
out=/dev/null
err=/dev/null
fi
if gmake --version >/dev/null 2>&1; then make=gmake; else make=make; fi
pts=5
timeout=30
preservefs=n
readline_hackval=0
qemu=`$make -s --no-print-directory which-qemu`
echo_n ... | Shell |
#!/bin/sh
# START-COMMIT HOOK
#
# The start-commit hook is invoked before a Subversion txn is created
# in the process of doing a commit. Subversion runs this hook
# by invoking a program (script, executable, binary, etc.) named
# 'start-commit' (for which this file is a template)
# with the following ordered... | Shell |
#!/bin/sh
# PRE-COMMIT HOOK
#
# The pre-commit hook is invoked before a Subversion txn is
# committed. Subversion runs this hook by invoking a program
# (script, executable, binary, etc.) named 'pre-commit' (for which
# this file is a template), with the following ordered arguments:
#
# [1] REPOS-PATH (t... | Shell |
#!/bin/sh
# PRE-LOCK HOOK
#
# The pre-lock hook is invoked before an exclusive lock is
# created. Subversion runs this hook by invoking a program
# (script, executable, binary, etc.) named 'pre-lock' (for which
# this file is a template), with the following ordered arguments:
#
# [1] REPOS-PATH (the pat... | Shell |
#!/bin/sh
# POST-COMMIT HOOK
#
# The post-commit hook is invoked after a commit. Subversion runs
# this hook by invoking a program (script, executable, binary, etc.)
# named 'post-commit' (for which this file is a template) with the
# following ordered arguments:
#
# [1] REPOS-PATH (the path to this rep... | Shell |
#!/bin/sh
# PRE-COMMIT HOOK
#
# The pre-commit hook is invoked before a Subversion txn is
# committed. Subversion runs this hook by invoking a program
# (script, executable, binary, etc.) named 'pre-commit' (for which
# this file is a template), with the following ordered arguments:
#
# [1] REPOS-PATH (t... | Shell |
#!/bin/sh
# PRE-REVPROP-CHANGE HOOK
#
# The pre-revprop-change hook is invoked before a revision property
# is added, modified or deleted. Subversion runs this hook by invoking
# a program (script, executable, binary, etc.) named 'pre-revprop-change'
# (for which this file is a template), with the following or... | Shell |
#!/bin/sh
# PRE-LOCK HOOK
#
# The pre-lock hook is invoked before an exclusive lock is
# created. Subversion runs this hook by invoking a program
# (script, executable, binary, etc.) named 'pre-lock' (for which
# this file is a template), with the following ordered arguments:
#
# [1] REPOS-PATH (the pat... | Shell |
#!/bin/sh
# POST-REVPROP-CHANGE HOOK
#
# The post-revprop-change hook is invoked after a revision property
# has been added, modified or deleted. Subversion runs this hook by
# invoking a program (script, executable, binary, etc.) named
# 'post-revprop-change' (for which this file is a template), with the
# f... | Shell |
#!/bin/sh
# POST-LOCK HOOK
#
# The post-lock hook is run after a path is locked. Subversion runs
# this hook by invoking a program (script, executable, binary, etc.)
# named 'post-lock' (for which this file is a template) with the
# following ordered arguments:
#
# [1] REPOS-PATH (the path to this repos... | Shell |
#!/bin/sh
# PRE-UNLOCK HOOK
#
# The pre-unlock hook is invoked before an exclusive lock is
# destroyed. Subversion runs this hook by invoking a program
# (script, executable, binary, etc.) named 'pre-unlock' (for which
# this file is a template), with the following ordered arguments:
#
# [1] REPOS-PATH ... | Shell |
#!/bin/sh
# START-COMMIT HOOK
#
# The start-commit hook is invoked before a Subversion txn is created
# in the process of doing a commit. Subversion runs this hook
# by invoking a program (script, executable, binary, etc.) named
# 'start-commit' (for which this file is a template)
# with the following ordered... | Shell |
#!/bin/sh
# POST-COMMIT HOOK
#
# The post-commit hook is invoked after a commit. Subversion runs
# this hook by invoking a program (script, executable, binary, etc.)
# named 'post-commit' (for which this file is a template) with the
# following ordered arguments:
#
# [1] REPOS-PATH (the path to this rep... | Shell |
#!/bin/sh
# POST-UNLOCK HOOK
#
# The post-unlock hook runs after a path is unlocked. Subversion runs
# this hook by invoking a program (script, executable, binary, etc.)
# named 'post-unlock' (for which this file is a template) with the
# following ordered arguments:
#
# [1] REPOS-PATH (the path to this... | Shell |
#!/bin/sh
# POST-UNLOCK HOOK
#
# The post-unlock hook runs after a path is unlocked. Subversion runs
# this hook by invoking a program (script, executable, binary, etc.)
# named 'post-unlock' (for which this file is a template) with the
# following ordered arguments:
#
# [1] REPOS-PATH (the path to this... | Shell |
#!/bin/sh
# PRE-REVPROP-CHANGE HOOK
#
# The pre-revprop-change hook is invoked before a revision property
# is added, modified or deleted. Subversion runs this hook by invoking
# a program (script, executable, binary, etc.) named 'pre-revprop-change'
# (for which this file is a template), with the following or... | Shell |
#!/bin/sh
# POST-LOCK HOOK
#
# The post-lock hook is run after a path is locked. Subversion runs
# this hook by invoking a program (script, executable, binary, etc.)
# named 'post-lock' (for which this file is a template) with the
# following ordered arguments:
#
# [1] REPOS-PATH (the path to this repos... | Shell |
#!/bin/sh
# POST-REVPROP-CHANGE HOOK
#
# The post-revprop-change hook is invoked after a revision property
# has been added, modified or deleted. Subversion runs this hook by
# invoking a program (script, executable, binary, etc.) named
# 'post-revprop-change' (for which this file is a template), with the
# f... | Shell |
#!/bin/sh
# PRE-UNLOCK HOOK
#
# The pre-unlock hook is invoked before an exclusive lock is
# destroyed. Subversion runs this hook by invoking a program
# (script, executable, binary, etc.) named 'pre-unlock' (for which
# this file is a template), with the following ordered arguments:
#
# [1] REPOS-PATH ... | Shell |
#! /bin/bash
verbose=false
if [ "x$1" = "x-v" ]
then
verbose=true
out=/dev/stdout
err=/dev/stderr
else
out=/dev/null
err=/dev/null
fi
if gmake --version >/dev/null 2>&1; then make=gmake; else make=make; fi
pts=5
timeout=30
preservefs=n
readline_hackval=0
qemu=`$make -s --no-print-directory which-qemu`
echo_n ... | Shell |
#! /bin/bash
verbose=false
if [ "x$1" = "x-v" ]
then
verbose=true
out=/dev/stdout
err=/dev/stderr
else
out=/dev/null
err=/dev/null
fi
if gmake --version >/dev/null 2>&1; then make=gmake; else make=make; fi
pts=5
timeout=30
preservefs=n
readline_hackval=0
qemu=`$make -s --no-print-directory which-qemu`
echo_n ... | Shell |
# This file will start the Osm Extraction UI with custom memory settings for
# the JVM. With the below settings the heap size (Available memory for the application)
# will range from 64 megabyte up to 512 megabyte.
java -Djava.util.logging.config.file=logging.properties -Xms64M -Xmx512M -cp "./OsmAndMapCreator.jar:./l... | Shell |
#!/bin/sh
# This file will start the Osm Extraction UI with custom memory settings for
# the JVM. With the below settings the heap size (Available memory for the application)
# will range from 64 megabyte up to 512 megabyte.
java -Djava.util.logging.config.file=logging.properties -Xms64M -Xmx512M -cp "./OsmAndMapCrea... | Shell |
#!/bin/sh
# This file will start the Osm Extraction UI with custom memory settings for
# the JVM. With the below settings the heap size (Available memory for the application)
# will range from 64 megabyte up to 512 megabyte.
java -Djava.util.logging.config.file=logging.properties -Xms64M -Xmx512M -cp "./OsmAndMapCrea... | Shell |
#!/bin/sh
DIRECTORY=$(cd `dirname $0` && pwd)
## VARIABLES ###
LOG_DIR="$DIRECTORY"/logs
DATE=$(date +%d-%m-%y)
LOG_FILE="$LOG_DIR/${DATE}.log"
mkdir $LOG_DIR
touch $LOG_FILE
# 1. Update git directory
"${DIRECTORY}/update_git.sh" 2>&1 >>$LOG_FILE
# 2. Go through branches and generates builds
"${DIRECTORY}/build_b... | Shell |
#!/bin/sh
DIRECTORY=$(cd `dirname $0` && pwd)
FTP_SITE=download.osmand.net
FTP_FOLDER=night-builds
FTP_LATEST=latest-night-build
# FTP_USER in local.properties
# FTP_PWD= in local.properties
BUILD_DIR="$DIRECTORY"/builds
LATEST_DIR="$DIRECTORY"/latests
. "$DIRECTORY"/local.properties
# 3. upload to ftp server
lftp -c... | Shell |
#!/bin/sh
DIRECTORY=$(cd `dirname $0` && pwd)
GIT_DIR="$DIRECTORY"/osmand-git
GIT_URL=git://github.com/osmandapp/Osmand.git
GIT_ORIGIN_NAME=origin
HG_DIR="$DIRECTORY"/osmand-hg
HG_URL=https://osmand.googlecode.com/hg
BUILD_DIR="$DIRECTORY"/builds
if [ ! -d "$HG_DIR" ]; then
hg clone ${GIT_URL} "${HG_DIR}"
fi
cd "... | Shell |
#!/bin/sh
DIRECTORY=$(cd `dirname $0` && pwd)
GIT_DIR="$DIRECTORY"/osmand-git
GIT_ORIGIN_NAME=origin
BUILD_DIR="$DIRECTORY"/builds
LATESTS_DIR="$DIRECTORY"/latests
VERSION_FILE=./DataExtractionOSM/src/net/osmand/Version.java
DATE=$(date +%Y-%m-%d)
SHORT_DATE=$(date +%d-%m)
# clean all files in build directory
rm -r ... | Shell |
#!/bin/sh
DIRECTORY=$(cd `dirname $0` && pwd)
GIT_DIR="$DIRECTORY"/osmand-git
GIT_URL=git://github.com/osmandapp/Osmand.git
GIT_ORIGIN_NAME=origin
#rm -rf "${GIT_DIR}"
# initialize git if it is not present (clone it)
if [ ! -d "$GIT_DIR" ]; then
git clone ${GIT_URL} "${GIT_DIR}"
fi
# update git
cd "${GIT_DIR}"
gi... | Shell |
#!/bin/sh
DIRECTORY=$(cd `dirname $0` && pwd)
FTP_SITE=download.osmand.net
FTP_FOLDER=/var/www-download/night-builds
FTP_LATEST=/var/www-download/latest-night-build
# FTP_USER in local.properties
# FTP_PWD= in local.properties
BUILD_DIR="$DIRECTORY"/builds
LATEST_DIR="$DIRECTORY"/latests
. "$DIRECTORY"/local.properti... | Shell |
#!/bin/bash
#
# This script is similar to minion but will do a few additional things:
# - PHP process is run in the background
# - PHP process is monitored and restarted if it exits for any reason
# - Added handlers for SUGHUP, SIGINT, and SIGTERM
#
# This is meant for long running minion tasks (like background workers... | Shell |
#!/bin/bash
#
# This script is similar to minion but will do a few additional things:
# - PHP process is run in the background
# - PHP process is monitored and restarted if it exits for any reason
# - Added handlers for SUGHUP, SIGINT, and SIGTERM
#
# This is meant for long running minion tasks (like background workers... | Shell |
#!/bin/sh
EXPECTED_ARGS=1
REPO=https://zufangzi.googlecode.com/svn/trunk
if [ $# -ne $EXPECTED_ARGS ]
then
echo "Usage: `basename $0` {local/live}"
exit 1
fi
if [ "$1" = "local" ]; then
echo local
else
if [ "$1" = "live" ]; then
echo Deploy zugefangzi to live
TMP=`mktemp -d`
cd $TMP
echo svn pass hJ3be8Gr3JF... | Shell |
#!/bin/sh
EXPECTED_ARGS=1
REPO=https://zufangzi.googlecode.com/svn/trunk
if [ $# -ne $EXPECTED_ARGS ]
then
echo "Usage: `basename $0` {local/live}"
exit 1
fi
if [ "$1" = "local" ]; then
echo local
else
if [ "$1" = "live" ]; then
echo Deploy zugefangzi to live
TMP=`mktemp -d`
cd $TMP
echo svn pass hJ3be8Gr3JF... | Shell |
#!/bin/bash
wget --delete-after "http://www.zugefangzi.com/message/populatenoficationlist?ctl=1686825444&crc=e233847ad0507ae1d0890633ced692b9"
exit 0
| Shell |
#!/bin/bash
wget --delete-after "http://www.zugefangzi.com/message/populatenoficationlist?ctl=1686825444&crc=e233847ad0507ae1d0890633ced692b9"
exit 0
| Shell |
#!/bin/bash
wget --delete-after "http://www.zugefangzi.com/message/sendemail?ctl=1686825444&crc=e233847ad0507ae1d0890633ced692b9"
exit 0
| Shell |
#!/bin/bash
FOLDER=/home/zugefang/db_backups/
DB_NAME_PREFIX=zugefang_db_backup
TIMESTAMP=`date +%Y-%m-%d`
DB_NAME=${DB_NAME_PREFIX}-${TIMESTAMP}
mysqldump -u zugefang_user -p zugefang_db > ${FOLDER}${DB_NAME} || exit 1
exit 0
| Shell |
#!/bin/bash
wget --delete-after "http://www.zugefangzi.com/message/sendemail?ctl=1686825444&crc=e233847ad0507ae1d0890633ced692b9"
exit 0
| Shell |
#!/bin/bash
FOLDER=/home/zugefang/db_backups/
DB_NAME_PREFIX=zugefang_db_backup
TIMESTAMP=`date +%Y-%m-%d`
DB_NAME=${DB_NAME_PREFIX}-${TIMESTAMP}
mysqldump -u zugefang_user -p zugefang_db > ${FOLDER}${DB_NAME} || exit 1
exit 0
| Shell |
export RUBYLIB=../ext/metasm:../src/metasm/
export LD_LIBRARY_PATH=/usr/local/lib
| Shell |
#!/bin/sh
touch framework/framework.pyx
rm -rf build
python setup.py build_ext -i | Shell |
#!/bin/sh
python -O poly2tri.py
| Shell |
java -Xms128m -Xmx1024m -jar ../lib/simpledbm-network-server-1.0.18-SNAPSHOT-jar-with-dependencies.jar open ../config/test.properties
| Shell |
java -jar ../lib/simpledbm-network-server-1.0.18-SNAPSHOT-jar-with-dependencies.jar create ../config/test.properties
| Shell |
# Create the LaTeX output for SimpleDBM documents
# Documents refer to a number of images that must be in the images directory.
# These images are generated using the GraphViz dot package.
export PATH=$PATH:~/Applications/docutils/tools
rst2latex.py --documentclass="article" --documentoptions="oneside" --use-latex-fo... | Shell |
# Create the LaTeX output for SimpleDBM documents
# Documents refer to a number of images that must be in the images directory.
# These images are generated using the GraphViz dot package.
PATH="/Library/Frameworks/Python.framework/Versions/Current/bin:${PATH}"
PATH=$PATH:/usr/local/graphviz-2.12/bin
PATH=$PATH:~/Appl... | Shell |
umlgraph TypeSystem png
| Shell |
#!/bin/sh
mkdir /usr/local/lib/sigmavpn/
touch /usr/local/etc/sigmavpn.conf
cp build/intf*.o /usr/local/lib/sigmavpn/
cp build/proto*.o /usr/local/lib/sigmavpn/
cp build/sigmavpn /usr/bin/
if [ -f "build/naclkeypair" ]
then
cp build/naclkeypair /usr/bin
fi
| Shell |
#!/bin/bash
mkdir -p build
if [ "$(uname -s)" = "Darwin" ];
then
export CCFLAGS="-g"
export DYFLAGS="-dynamiclib"
export LDFLAGS="-ldl -lpthread"
elif [ "$(uname -s)" = "FreeBSD" ];
then
export CCFLAGS="-g"
export DYFLAGS="-shared"
export LDFLAGS="-lpthread"
else
export CCFLAGS="-g"
export DYFLAGS="-shared"
e... | Shell |
#! /bin/bash
# Binary of the Texturepacker:
TEXTUREPACKER_BINARY=/usr/local/bin/TexturePacker
# Shared Spritesheet-Output-Definitions:
SPRITESHEET_OUTPUT_DIRECTORY="../assets/gfx/spritesheets/"
SPRITESHEET_OUTPUT_JAVAIDS_PACKAGE="org.anddev.andengine.examples.spritesheets"
SPRITESHEET_OUTPUT_JAVAIDS_DIRECTORY="../src... | Shell |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.